# KRatExpInitialDerivation< Series, T, Dispatch > Struct Template Reference

Visitor to have an initial set of partial derivatives terms from an expression. More...

Inherits vcsn::algebra::KRatExpMatcher< KRatExpInitialDerivation< Series, T, Dispatch >, T, std::list< Element< Series, T > >, Dispatch >.

List of all members.

## Public Member Functions

U | match (const T &ast)
| Effectively performs the match.

## Detailed Description

### template<class Series, class T, class Dispatch>
struct vcsn::KRatExpInitialDerivation< Series, T, Dispatch >

Visitor to have an initial set of partial derivatives terms from an expression.

Bug:
  FIXME: The algorithm is correct, but the implementation may not be efficient!

Definition at line 36 of file initial_derivation.hxx.

## Member Function Documentation

U match | ( | const T & | ast | ) | `[inherited]`

Effectively performs the match.

Parameters:

  | ast | The object to perform the match on.

See also:
  DispatchVisitor::DispatchVisitor

Definition at line 128 of file krat_exp_pattern.hxx.

Referenced by vcsn::constant_term().